package me.teridax.jcash.banking.accounts;

/**
 * Savings account representing a german "Sparkonto".
 * To the balance a certain interest rate is added.
 */
@SuppressWarnings("unused")
public final class SavingsAccount extends Account {

    /**
     * interest rate applied to the balance of the super class
     */
    private final double interest;

    public SavingsAccount(int iban, int pin, double balance, double interest) {
        super(iban, pin, balance);
        this.interest = interest;
    }

    public double getInterest() {
        return interest;
    }
}
